unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, UAspFileDataSet, ExtCtrls, StdCtrls, DB, DBTables, DBCtrls,
  Grids, DBGrids;

type
  TForm1 = class(TForm)
    TbMain: TAspFileDataSet;
    dsMain: TAspFileDataSource;
    Table1: TTable;
    AspFileDBGrid1: TAspFileDBGrid;
    GroupBox1: TGroupBox;
    Label3: TLabel;
    Label4: TLabel;
    Edit1: TEdit;
    Edit2: TEdit;
    Button3: TButton;
    Button4: TButton;
    Button1: TButton;
    Button2: TButton;
    Label7: TLabel;
    Edit3: TEdit;
    Button5: TButton;
    Panel1: TPanel;
    Lb_30073719: TLabel;
    Label1: TLabel;
    Label2: TLabel;
    AspFileDBNavigator1: TAspFileDBNavigator;
    AspFileDBEdit1: TAspFileDBEdit;
    Label5: TLabel;
    Label6: TLabel;
    RadioGroup1: TRadioGroup;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure AspFileDBGrid1Columns0CellBtnPressed(Column: TColumnItem;
      DataCell: TGridCell);
    procedure TbMainDBMethods0ExecuteProc(Sender: TDbProcItem;
      CallUser: String; var AbortNextStep: Boolean);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure RadioGroup1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
  TbMain.SchemaFileName := 'customer.SFD';
  TbMain.Active := TRUE;
end;

procedure TForm1.Button1Click(Sender: TObject);
var i:integer;
    fs:string;
begin
  Table1.Active := TRUE;
  while(Table1.Eof = FALSE)do
    begin
      TbMain.Insert;
      for i := 0 to Table1.FieldCount-1 do
        begin
          fs := TbMain.FieldName(i);
          TbMain.FieldByName(fs).AsString
             := table1.FieldByName(fs).AsString;
        end;
      TbMain.Post;
      Table1.Next;
    end;
  Table1.Active := FALSE;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  While(TbMain.IsEmpty = FALSE)do
    TbMain.Delete;
  Label2.Caption := IntToStr(TbMain.RecordCount);  
end;

procedure TForm1.AspFileDBGrid1Columns0CellBtnPressed(Column: TColumnItem;
  DataCell: TGridCell);
begin
  ShowMessage('Field:('+Column.DataField+') Button Is Clicked !!');
end;

procedure TForm1.TbMainDBMethods0ExecuteProc(Sender: TDbProcItem;
  CallUser: String; var AbortNextStep: Boolean);
begin
  Label2.Caption := IntToStr(TbMain.RecordCount);
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  TbMain.SetUseFilter(FALSE);
  if(Edit1.Text <> '')then TbMain.AddNewDataFilterItem(Edit1.Text);
  if(Edit2.Text <> '')then TbMain.AddNewDataFilterItem(Edit2.Text);
  TbMain.SetUseFilter(TRUE);
  Label2.Caption := IntToStr(TbMain.RecordCount);
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  TbMain.SetUseFilter(FALSE);
  TbMain.DeleteAllDataFilters;
  Label2.Caption := IntToStr(TbMain.RecordCount);
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
  Edit3.Text := IntToStr(TbMain.GetBookMark);
end;

procedure TForm1.RadioGroup1Click(Sender: TObject);
begin
  if(RadioGroup1.ItemIndex <= 0)then
    self.TbMain.OrderByDesc := FALSE
  else self.TbMain.OrderByDesc := TRUE;
end;

end.
